Package org.zkoss.stateless.ui

## Enum UiAgent.Position

- java.lang.Object
- - java.lang.Enum<UiAgent.Position>
  - - org.zkoss.stateless.ui.UiAgent.Position

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<UiAgent.Position>`
  Enclosing interface:
    UiAgent

      public static enum UiAgent.Position
      extends java.lang.Enum<UiAgent.Position>

  Insert Adjacent position for `UiAgent.insertAdjacentComponent(Locator, Position, IComponent)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `afterBegin` | Just inside the targetComponent, before its first child.
    `afterEnd` | After the targetComponent itself.
    `beforeBegin` | Before the targetComponent itself.
    `beforeEnd` | Just inside the targetComponent, after its last child.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UiAgent.Position` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static UiAgent.Position[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### beforeBegin

          public static final UiAgent.Position beforeBegin

      Before the targetComponent itself.

    - #### beforeEnd

          public static final UiAgent.Position beforeEnd

      Just inside the targetComponent, after its last child.

    - #### afterBegin

          public static final UiAgent.Position afterBegin

      Just inside the targetComponent, before its first child.

    - #### afterEnd

          public static final UiAgent.Position afterEnd

      After the targetComponent itself.

  - ### Method Detail

    - #### values

          public static UiAgent.Position[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UiAgent.Position c : UiAgent.Position.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UiAgent.Position valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null